#ifndef ML_CUDA_CONSTANTS_HPP
#define ML_CUDA_CONSTANTS_HPP

#define ML_CUDA_SIZE_FLOAT                       4
#define ML_CUDA_SIZE_DOUBLE                      8
#define ML_CUDA_SIZE_INTERVAL_FLOAT              8
#define ML_CUDA_SIZE_INTERVAL_DOUBLE             16
#define ML_CUDA_SIZE_TANGENT_FLOAT               8
#define ML_CUDA_SIZE_TANGENT_DOUBLE              16
#define ML_CUDA_SIZE_INTERVAL_TANGENT_FLOAT      16
#define ML_CUDA_SIZE_INTERVAL_TANGENT_DOUBLE     32
#define ML_CUDA_SIZE_TANGENT_FLOAT_4             20
#define ML_CUDA_SIZE_TANGENT_FLOAT_16            68
#define ML_CUDA_SIZE_TANGENT_FLOAT_64            260
#define ML_CUDA_SIZE_TANGENT_DOUBLE_4            40
#define ML_CUDA_SIZE_TANGENT_DOUBLE_16           136
#define ML_CUDA_SIZE_TANGENT_DOUBLE_64           520
#define ML_CUDA_SIZE_INTERVAL_TANGENT_FLOAT_4    40
#define ML_CUDA_SIZE_INTERVAL_TANGENT_FLOAT_16   136
#define ML_CUDA_SIZE_INTERVAL_TANGENT_FLOAT_64   520
#define ML_CUDA_SIZE_INTERVAL_TANGENT_DOUBLE_4   80
#define ML_CUDA_SIZE_INTERVAL_TANGENT_DOUBLE_16  272
#define ML_CUDA_SIZE_INTERVAL_TANGENT_DOUBLE_64  1040

#endif // ML_CUDA_CONSTANTS_HPP
